> ## Documentation Index
> Fetch the complete documentation index at: https://docs.graphiant.com/llms.txt
> Use this file to discover all available pages before exploring further.

# /v1/extranets-b2b-peering/consumer/{customerId}/consumer-details

> Get details of a service subscription for a customer

## OpenAPI

````json GET /v1/extranets-b2b-peering/consumer/{customerId}/consumer-details
{
  "openapi": "3.0.0",
  "info": {
    "title": "Graphiant APIs",
    "version": "1.0.0",
    "description": "Graphiant API documentation."
  },
  "servers": [
    {
      "url": "https://api.graphiant.com"
    }
  ],
  "security": [
    {
      "jwtAuth": []
    }
  ],
  "tags": [],
  "paths": {
    "/v1/extranets-b2b-peering/consumer/{customerId}/consumer-details": {
      "get": {
        "security": [
          {
            "jwtAuth": []
          }
        ],
        "parameters": [
          {
            "in": "header",
            "name": "Authorization",
            "required": true,
            "schema": {
              "type": "string"
            },
            "description": "Bearer token. Format: Bearer <your_token_here>"
          },
          {
            "name": "customerId",
            "in": "path",
            "required": true,
            "description": "",
            "schema": {
              "type": "integer",
              "format": "int64",
              "example": 1234567891011
            }
          },
          {
            "name": "serviceId",
            "in": "query",
            "description": "",
            "required": false,
            "schema": {
              "type": "integer",
              "format": "int64",
              "example": 1234567891011
            }
          }
        ],
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/v1ExtranetsB2bPeeringConsumerCustomerIdConsumerDetailsGetResponse"
                }
              }
            }
          }
        },
        "description": "Get details of a service subscription for a customer"
      }
    }
  },
  "components": {
    "schemas": {
      "v1ExtranetsB2bPeeringConsumerCustomerIdConsumerDetailsGetResponse": {
        "type": "object",
        "properties": {
          "consumerId": {
            "type": "integer",
            "format": "int64",
            "example": 1234567891011
          },
          "consumerName": {
            "type": "string",
            "example": "example string"
          },
          "emails": {
            "type": "array",
            "items": {
              "type": "string",
              "example": "example string"
            }
          },
          "globalObjectDeviceSummaries": {
            "type": "object",
            "additionalProperties": {
              "$ref": "#/components/schemas/manaV2GlobalObjectServiceSummaries"
            }
          },
          "globalObjectSummaries": {
            "type": "object",
            "additionalProperties": {
              "$ref": "#/components/schemas/manaV2GlobalObjectServiceSummaries"
            }
          },
          "ipsecTunnelConfig": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/v1ExtranetsB2bPeeringConsumerCustomerIdConsumerDetailsGetResponseIpsecVpnTunnelConfig"
            }
          },
          "matchDetails": {
            "$ref": "#/components/schemas/manaV2B2bExtranetServiceCustomerMatchDetails"
          },
          "peerType": {
            "type": "string",
            "example": "ENUM_VALUE"
          },
          "policy": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/manaV2B2bExtranetPeeringServiceConsumerLanSegmentPolicy"
            }
          },
          "siteInformation": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/manaV2B2bSiteInformation"
            }
          },
          "siteToSiteVpn": {
            "$ref": "#/components/schemas/manaV2GuestConsumerSiteToSiteVpnConfig"
          },
          "status": {
            "type": "string",
            "example": "ENUM_VALUE"
          }
        },
        "additionalProperties": false
      },
      "manaV2GlobalObjectServiceSummaries": {
        "type": "object",
        "properties": {
          "routingPolicies": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/manaV2GlobalObjectSummary"
            }
          }
        },
        "additionalProperties": false
      },
      "v1ExtranetsB2bPeeringConsumerCustomerIdConsumerDetailsGetResponseIpsecVpnTunnelConfig": {
        "type": "object",
        "properties": {
          "bgpGraphiantAsn": {
            "type": "integer",
            "format": "int32",
            "example": 123,
            "minimum": 0
          },
          "bgpLocalAsn": {
            "type": "integer",
            "format": "int32",
            "example": 123,
            "minimum": 0
          },
          "bgpNeighborHoldTime": {
            "type": "integer",
            "format": "int32",
            "example": 123,
            "minimum": 0
          },
          "bgpNeighborIpv4": {
            "type": "string",
            "example": "example string"
          },
          "bgpNeighborIpv6": {
            "type": "string",
            "example": "example string"
          },
          "dpdInterval": {
            "type": "integer",
            "format": "int32",
            "example": 123,
            "minimum": 0
          },
          "dpdRetries": {
            "type": "integer",
            "format": "int32",
            "example": 123,
            "minimum": 0
          },
          "graphiantDestinationIp": {
            "type": "string",
            "example": "example string"
          },
          "graphiantIkeId": {
            "type": "string",
            "example": "example string"
          },
          "graphiantOuterTunnelIp": {
            "type": "string",
            "example": "example string"
          },
          "graphiantTunnelIp": {
            "type": "string",
            "example": "example string"
          },
          "graphiantTunnelIpv6": {
            "type": "string",
            "example": "example string"
          },
          "ikeAuthenticationAlgorithm": {
            "type": "string",
            "example": "example string"
          },
          "ikeAuthenticationMethod": {
            "type": "string",
            "example": "example string"
          },
          "ikeDhAlgorithm": {
            "type": "string",
            "example": "example string"
          },
          "ikeEncryptionAlgorithm": {
            "type": "string",
            "example": "example string"
          },
          "ikeLifetime": {
            "type": "string",
            "example": "example string"
          },
          "ikePresharedKey": {
            "type": "string",
            "example": "example string"
          },
          "ikeVersion": {
            "type": "integer",
            "format": "int32",
            "example": 123
          },
          "ipsecAuthenticationAlgorithm": {
            "type": "string",
            "example": "example string"
          },
          "ipsecEncryptionAlgorithm": {
            "type": "string",
            "example": "example string"
          },
          "ipsecExtendedSequenceNumber": {
            "type": "boolean",
            "example": true
          },
          "ipsecLifetime": {
            "type": "string",
            "example": "example string"
          },
          "ipsecMode": {
            "type": "string",
            "example": "example string"
          },
          "ipsecPfsAlgorithm": {
            "type": "string",
            "example": "example string"
          },
          "ipsecProtocol": {
            "type": "string",
            "example": "example string"
          },
          "localIkeId": {
            "type": "string",
            "example": "example string"
          },
          "localOuterTunnelIp": {
            "type": "string",
            "example": "example string"
          },
          "localTunnelIp": {
            "type": "string",
            "example": "example string"
          },
          "localTunnelIpv6": {
            "type": "string",
            "example": "example string"
          },
          "tcpMss": {
            "type": "integer",
            "format": "int32",
            "example": 123,
            "minimum": 0
          },
          "tunnelMtu": {
            "type": "integer",
            "format": "int32",
            "example": 123,
            "minimum": 0
          }
        },
        "additionalProperties": false
      },
      "manaV2B2bExtranetServiceCustomerMatchDetails": {
        "type": "object",
        "properties": {
          "consumerId": {
            "type": "integer",
            "format": "int64",
            "example": 1234567891011
          },
          "consumerPrefixes": {
            "type": "array",
            "items": {
              "type": "string",
              "example": "example string"
            }
          },
          "customer": {
            "$ref": "#/components/schemas/manaV2B2BExtranetServiceCustomerMatchDetailsCustomer"
          },
          "oldConsumerPrefixes": {
            "type": "array",
            "items": {
              "type": "string",
              "example": "example string"
            }
          },
          "oldServicePrefixes": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/manaV2B2BExtranetServiceCustomerMatchDetailsProducerPrefix"
            }
          },
          "service": {
            "$ref": "#/components/schemas/manaV2B2BExtranetServiceCustomerMatchDetailsService"
          },
          "servicePrefixes": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/manaV2B2BExtranetServiceCustomerMatchDetailsProducerPrefix"
            }
          }
        },
        "additionalProperties": false
      },
      "manaV2B2bExtranetPeeringServiceConsumerLanSegmentPolicy": {
        "type": "object",
        "properties": {
          "consumerPrefixes": {
            "type": "array",
            "items": {
              "type": "string",
              "example": "example string"
            }
          },
          "lanSegment": {
            "type": "integer",
            "format": "int64",
            "example": 1234567891011
          }
        },
        "additionalProperties": false
      },
      "manaV2B2bSiteInformation": {
        "type": "object",
        "properties": {
          "bwAllocationSiteLists": {
            "type": "integer",
            "format": "int32",
            "example": 123,
            "description": "Total Bandwidth allocation for the service on these site lists"
          },
          "bwAllocationSites": {
            "type": "integer",
            "format": "int32",
            "example": 123,
            "description": "Total Bandwidth allocation for the service on these sites"
          },
          "policerSiteLists": {
            "$ref": "#/components/schemas/manaV2Policer"
          },
          "policerSites": {
            "$ref": "#/components/schemas/manaV2Policer"
          },
          "siteLists": {
            "type": "array",
            "items": {
              "type": "integer",
              "format": "int64",
              "example": 1234567891011,
              "description": "Site list IDs where the service is deployed"
            }
          },
          "sites": {
            "type": "array",
            "items": {
              "type": "integer",
              "format": "int64",
              "example": 1234567891011,
              "description": "Site IDs where the service is deployed"
            }
          }
        },
        "additionalProperties": false
      },
      "manaV2GuestConsumerSiteToSiteVpnConfig": {
        "type": "object",
        "properties": {
          "emails": {
            "type": "array",
            "items": {
              "type": "string",
              "example": "example string"
            }
          },
          "ipsecGatewayDetails": {
            "$ref": "#/components/schemas/manaV2IPsecGatewayDetails"
          },
          "ipsecGatewayPeers": {
            "$ref": "#/components/schemas/manaV2IPsecGatewayPeersConfig"
          },
          "regionId": {
            "type": "integer",
            "format": "int32",
            "example": 123
          }
        },
        "additionalProperties": false
      },
      "manaV2GlobalObjectSummary": {
        "type": "object",
        "properties": {
          "attachPoint": {
            "type": "string",
            "example": "ENUM_VALUE"
          },
          "id": {
            "type": "integer",
            "format": "int64",
            "example": 1234567891011
          },
          "ipVersion": {
            "type": "integer",
            "format": "int32",
            "example": 123,
            "minimum": 0
          },
          "name": {
            "type": "string",
            "example": "example string"
          },
          "numAttachedDevices": {
            "type": "integer",
            "format": "int32",
            "example": 123,
            "minimum": 0
          },
          "numAttachedSites": {
            "type": "integer",
            "format": "int32",
            "example": 123,
            "minimum": 0
          },
          "numFailures": {
            "type": "integer",
            "format": "int32",
            "example": 123,
            "minimum": 0
          },
          "numInSyncDevices": {
            "type": "integer",
            "format": "int32",
            "example": 123,
            "minimum": 0
          },
          "numOverrideDevices": {
            "type": "integer",
            "format": "int32",
            "example": 123,
            "minimum": 0
          },
          "numPolicies": {
            "type": "integer",
            "format": "int32",
            "example": 123,
            "minimum": 0
          },
          "numPrefixes": {
            "type": "integer",
            "format": "int32",
            "example": 123,
            "minimum": 0
          },
          "numRules": {
            "type": "integer",
            "format": "int32",
            "example": 123,
            "minimum": 0
          },
          "numStatements": {
            "type": "integer",
            "format": "int32",
            "example": 123,
            "minimum": 0
          },
          "trafficPolicyType": {
            "type": "string",
            "example": "ENUM_VALUE"
          }
        },
        "additionalProperties": false
      },
      "manaV2B2BExtranetServiceCustomerMatchDetailsCustomer": {
        "type": "object",
        "properties": {
          "companyName": {
            "type": "string",
            "example": "example string"
          },
          "emails": {
            "type": "array",
            "items": {
              "type": "string",
              "example": "example string"
            }
          },
          "id": {
            "type": "integer",
            "format": "int64",
            "example": 1234567891011
          },
          "numSites": {
            "type": "integer",
            "format": "int32",
            "example": 123,
            "minimum": 0
          }
        },
        "additionalProperties": false
      },
      "manaV2B2BExtranetServiceCustomerMatchDetailsProducerPrefix": {
        "type": "object",
        "properties": {
          "customerTranslatedPrefix": {
            "type": "string",
            "example": "example string"
          },
          "prefix": {
            "type": "string",
            "example": "example string"
          },
          "tag": {
            "type": "string",
            "example": "example string"
          }
        },
        "additionalProperties": false
      },
      "manaV2B2BExtranetServiceCustomerMatchDetailsService": {
        "type": "object",
        "properties": {
          "companyName": {
            "type": "string",
            "example": "example string"
          },
          "contactEmail": {
            "type": "array",
            "items": {
              "type": "string",
              "example": "example string"
            }
          },
          "description": {
            "type": "string",
            "example": "example string"
          },
          "id": {
            "type": "integer",
            "format": "int64",
            "example": 1234567891011
          },
          "serviceName": {
            "type": "string",
            "example": "example string"
          }
        },
        "additionalProperties": false
      },
      "manaV2Policer": {
        "type": "object",
        "properties": {
          "burstSize": {
            "type": "integer",
            "format": "int32",
            "example": 123,
            "description": "Burst size for the policer (required)"
          },
          "bw": {
            "type": "integer",
            "format": "int32",
            "example": 123,
            "description": "Bandwidth for the policer (required)"
          }
        },
        "additionalProperties": false,
        "required": [
          "burstSize",
          "bw"
        ]
      },
      "manaV2IPsecGatewayDetails": {
        "type": "object",
        "properties": {
          "destinationAddress": {
            "type": "string",
            "example": "example string"
          },
          "ikeInitiator": {
            "type": "boolean",
            "example": true
          },
          "mtu": {
            "type": "integer",
            "format": "int32",
            "example": 123,
            "minimum": 0
          },
          "name": {
            "type": "string",
            "example": "example string"
          },
          "remoteIkePeerIdentity": {
            "type": "string",
            "example": "example string"
          },
          "routing": {
            "$ref": "#/components/schemas/manaV2IpsecRoutingConfig"
          },
          "tcpMss": {
            "type": "integer",
            "format": "int32",
            "example": 123,
            "minimum": 0
          },
          "tunnel1": {
            "$ref": "#/components/schemas/manaV2IPsecGatewayTunnelDetails"
          },
          "tunnel2": {
            "$ref": "#/components/schemas/manaV2IPsecGatewayTunnelDetails"
          },
          "vpnProfile": {
            "type": "string",
            "example": "example string"
          }
        },
        "additionalProperties": false
      },
      "manaV2IPsecGatewayPeersConfig": {
        "type": "object",
        "properties": {
          "name": {
            "type": "string",
            "example": "example string",
            "description": "Name of the IPsec gateway service"
          },
          "remotePeers": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/manaV2IPsecGatewayRemotePeer"
            }
          },
          "routing": {
            "$ref": "#/components/schemas/manaV2IpsecRoutingConfig"
          }
        },
        "additionalProperties": false
      },
      "manaV2IpsecRoutingConfig": {
        "type": "object",
        "properties": {
          "bgp": {
            "$ref": "#/components/schemas/manaV2IPsecBgpRouteConfig"
          },
          "static": {
            "$ref": "#/components/schemas/manaV2IPsecStaticRouteConfig"
          }
        },
        "additionalProperties": false
      },
      "manaV2IPsecGatewayTunnelDetails": {
        "type": "object",
        "properties": {
          "insideIpv4Cidr": {
            "type": "string",
            "example": "example string"
          },
          "insideIpv6Cidr": {
            "type": "string",
            "example": "example string"
          },
          "localIkePeerIdentity": {
            "type": "string",
            "example": "example string"
          },
          "psk": {
            "type": "string",
            "example": "example string"
          }
        },
        "additionalProperties": false
      },
      "manaV2IPsecGatewayRemotePeer": {
        "type": "object",
        "properties": {
          "destinationAddress": {
            "type": "string",
            "example": "example string"
          },
          "ikeInitiator": {
            "type": "boolean",
            "example": true,
            "description": "When true, Graphiant initiates IKE for this peer"
          },
          "mtu": {
            "type": "integer",
            "format": "int32",
            "example": 123,
            "minimum": 0
          },
          "name": {
            "type": "string",
            "example": "example string",
            "description": "Optional display name or label for this peer; used when generating tunnel names"
          },
          "remoteIkePeerIdentity": {
            "type": "string",
            "example": "example string",
            "description": "IKE identity of the remote peer"
          },
          "tcpMss": {
            "type": "integer",
            "format": "int32",
            "example": 123,
            "minimum": 0
          },
          "tunnel1": {
            "$ref": "#/components/schemas/manaV2IPsecGatewayTunnelDetails"
          },
          "tunnel2": {
            "$ref": "#/components/schemas/manaV2IPsecGatewayTunnelDetails"
          },
          "vpnProfile": {
            "type": "string",
            "example": "example string",
            "description": "Enterprise IPsec VPN profile name for this peer"
          }
        },
        "additionalProperties": false
      },
      "manaV2IPsecBgpRouteConfig": {
        "type": "object",
        "properties": {
          "addressFamilies": {
            "type": "object",
            "additionalProperties": {
              "$ref": "#/components/schemas/manaV2NullableBgpNeighborAddressFamilyConfig"
            }
          },
          "holdTimer": {
            "type": "integer",
            "format": "int32",
            "example": 123,
            "minimum": 0
          },
          "keepaliveTimer": {
            "type": "integer",
            "format": "int32",
            "example": 123,
            "minimum": 0
          },
          "md5Password": {
            "$ref": "#/components/schemas/manaV2NullableMd5Password"
          },
          "peerAsn": {
            "type": "integer",
            "format": "int32",
            "example": 123,
            "minimum": 0
          },
          "sendCommunity": {
            "type": "boolean",
            "example": true
          }
        },
        "additionalProperties": false
      },
      "manaV2IPsecStaticRouteConfig": {
        "type": "object",
        "properties": {
          "destinationPrefix": {
            "type": "array",
            "items": {
              "type": "string",
              "example": "example string"
            }
          }
        },
        "additionalProperties": false
      },
      "manaV2NullableBgpNeighborAddressFamilyConfig": {
        "type": "object",
        "properties": {
          "family": {
            "$ref": "#/components/schemas/manaV2BgpNeighborAddressFamilyConfig"
          }
        },
        "additionalProperties": false
      },
      "manaV2NullableMd5Password": {
        "type": "object",
        "properties": {
          "md5Password": {
            "type": "string",
            "example": "example string"
          }
        },
        "additionalProperties": false
      },
      "manaV2BgpNeighborAddressFamilyConfig": {
        "type": "object",
        "properties": {
          "addressFamily": {
            "type": "string",
            "example": "ENUM_VALUE"
          },
          "inboundPolicy": {
            "$ref": "#/components/schemas/manaV2NullablePolicyName"
          },
          "outboundPolicy": {
            "$ref": "#/components/schemas/manaV2NullablePolicyName"
          }
        },
        "additionalProperties": false
      },
      "manaV2NullablePolicyName": {
        "type": "object",
        "properties": {
          "policy": {
            "type": "string",
            "example": "example string"
          }
        },
        "additionalProperties": false
      }
    },
    "securitySchemes": {
      "jwtAuth": {
        "type": "apiKey",
        "in": "header",
        "name": "authorization",
        "description": "Use `Bearer <token>`"
      }
    }
  }
}
````

